
%% Distribution og J

SL_J1=sum(SLJH,2)*delH; 
SL_J2=sum(SLJT,2)*delT;

PL_J1=sum(PLJH,2)*delH; 
PL_J2=sum(PLJT,2)*delT;

figure
hold on
plot(J*(10^-6),SL_J1,'b-')
plot(J*(10^-6),SL_J2,'r--')
plot(J*(10^-6),PL_J1,'k-')
plot(J*(10^-6),PL_J2,'g--')
legend('Scatter diagram (H)','Scatter diagram (T)','Analytical (H)','Analytical (T)','Location','NorthEast')
%title('Distribution of J')
xlabel('J[MW]')
ylabel('p_L(J)')
hold off

set(gcf, 'PaperType', 'B5')
set(gcf,'PaperUnits','centimeters','PaperPosition', [0.63, 0.63, 15.0, 12.0]);
print(figure(1),'-dpsc','figure/ch1/pj.eps')

%% Logharthmic distribution of J

figure
subplot(1,2,1)
hold on
plot(J(5:32)*(10^-6),SL_J1(5:32),'b-')
plot(J(5:32)*(10^-6),SL_J2(5:32),'r--')
plot(J(5:32)*(10^-6),PL_J1(5:32),'k-')
plot(J(5:32)*(10^-6),PL_J2(5:32),'g--')
legend('Sd (H)','Sd (T)','An (H)','An (T)','Location','NorthEast')
title('Close-up')
xlabel('J[MW]')
ylabel('p_L(J)')
set(gca, 'xlim', [0.04 0.30001], 'ylim', [0 4.2]);
hold off

subplot(1,2,2)
hold on
plot(J*(10^-6),log(SL_J1),'b-')
plot(J*(10^-6),log(SL_J2),'r--')
plot(J*(10^-6),log(PL_J1),'k-')
plot(J*(10^-6),log(PL_J2),'g--')
legend('Sd (H)','Sd (T)','An (H)','An (T)','Location','NorthEast')
title('Logarithmic axis')
xlabel('J[MW]')
ylabel('ln(p_L(J))')
hold off

set(gcf, 'PaperType', 'B5')
set(gcf,'PaperUnits','centimeters','PaperPosition', [0.63, 0.63, 15.0, 7.0]);
print(figure(2),'-dpsc','figure/ch1/logpj.eps')

%% Distribution of H and distribution of T
SL_H=sum(SLJH)*delJ*(10^-6); 
PL_H=sum(PLJH)*delJ*(10^-6); 

SL_T=sum(SLJT)*delJ*(10^-6); 
PL_T=sum(PLJT)*delJ*(10^-6); 

figure
subplot(1,2,1)
hold on
plot(H,SL_H,'b-')
plot(H,PL_H,'r-')
legend('Scatter diagram','Analytical','Location','NorthEast')
title('Distribution of H')
xlabel('H[m]')
ylabel('p_L(H)')
hold off

subplot(1,2,2)
hold on
plot(T,SL_T,'b-')
plot(T,PL_T,'r-')
legend('Scatter diagram','Analytical','Location','NorthEast')
title('Distribution of T')
xlabel('T[s]')
ylabel('p_L(T)')
hold off

set(gcf, 'PaperType', 'B5')
set(gcf,'PaperUnits','centimeters','PaperPosition', [0.63, 0.63, 15.0, 7.0]);
print(figure(3),'-dpsc','figure/ch1/phpt.eps')

%% Cumulative distribution fucntion

SLJ1_CDF=zeros(length(J),1);
SLJ2_CDF=zeros(length(J),1);
PLJ1_CDF=zeros(length(J),1);
PLJ2_CDF=zeros(length(J),1);

for i=1:length(J)
    SLJ1_CDF(i)=sum(SL_J1(1:i))*delJ*(10^-6);
    SLJ2_CDF(i)=sum(SL_J2(1:i))*delJ*(10^-6);
    PLJ1_CDF(i)=sum(PL_J1(1:i))*delJ*(10^-6);
    PLJ2_CDF(i)=sum(PL_J2(1:i))*delJ*(10^-6);
end

figure
hold on
plot(J*(10^-6),SLJ1_CDF,'b-')
plot(J*(10^-6),SLJ2_CDF,'r--')
plot(J*(10^-6),PLJ1_CDF,'k-')
plot(J*(10^-6),PLJ2_CDF,'g--')
legend('Scatter diagram (H)','Scatter diagram (T)','Analytical (H)','Analytical (T)','Location','East')

xlabel('J[MW]')
ylabel('$F_{J}(\hat{J})$','Interpreter','latex')
hold off

set(gcf, 'PaperType', 'B5')
set(gcf,'PaperUnits','centimeters','PaperPosition', [0.63, 0.63, 15.0, 12.0]);
print(figure(4),'-dpsc','figure/ch1/cdfj.eps')
