
SLE_Jhb=sum(effhbL_JH,2)*delH;
SLE_Jhtbs=sum(effhtbsL_JH,2)*delH;
SLE_Jpd=sum(effpdL_JH,2)*delH;
SLE_Jfowc=sum(efffowcL_JH,2)*delH;

figure
hold on
plot(J(1:20)*(10^-6),SLE_Jhb(1:20),'b-')
plot(J(1:20)*(10^-6),SLE_Jhtbs(1:20),'r-')
plot(J(1:20)*(10^-6),SLE_Jpd(1:20),'k-')
plot(J(1:20)*(10^-6),SLE_Jfowc(1:20),'g-')
legend('Heaving buoy','Heaving two bodies system','Pitching device','Floating OWC','Location','NorthEast')
xlabel('J[MW]')
ylabel('p_{L,\eta}(J)')
hold off

set(gcf, 'PaperType', 'B5')
set(gcf,'PaperUnits','centimeters','PaperPosition', [0.63, 0.63, 15.0, 12.0]);
print(figure(1),'-dpsc','figure/ch4eff/pjeff.eps')

%% CDF
SLE_CDFhb=zeros(length(J),1);
SLE_CDFhtbs=zeros(length(J),1);
SLE_CDFpd=zeros(length(J),1);
SLE_CDFfowc=zeros(length(J),1);

for i=1:length(J)
    SLE_CDFhb(i)=   sum(SLE_Jhb(1:i))*delJ*(10^-6);
    SLE_CDFhtbs(i)= sum(SLE_Jhtbs(1:i))*delJ*(10^-6);
    SLE_CDFpd(i)=   sum(SLE_Jpd(1:i))*delJ*(10^-6);
    SLE_CDFfowc(i)= sum(SLE_Jfowc(1:i))*delJ*(10^-6);
end

figure
hold on
plot(J(1:20)*(10^-6),SLE_CDFhb(1:20),'b-')
plot(J(1:20)*(10^-6),SLE_CDFhtbs(1:20),'r-')
plot(J(1:20)*(10^-6),SLE_CDFpd(1:20),'k-')
plot(J(1:20)*(10^-6),SLE_CDFfowc(1:20),'g-')
legend('Heaving buoy','Heaving two bodies system','Pitching device','Floating OWC','Location','SouthEast')
xlabel('J[MW]')
ylabel('$F_{J \eta}(\hat{J \eta})$','Interpreter','latex')
hold off

set(gcf, 'PaperType', 'B5')
set(gcf,'PaperUnits','centimeters','PaperPosition', [0.63, 0.63, 15.0, 12.0]);
print(figure(2),'-dpsc','figure/ch4eff/cdfjeff.eps')

%% CDF 2

SLE_CDFhb2=zeros(length(J),1);
SLE_CDFhtbs2=zeros(length(J),1);
SLE_CDFpd2=zeros(length(J),1);
SLE_CDFfowc2=zeros(length(J),1);

for i=3:length(J)
    
    SLE_CDFhb2(i)=   sum(SLE_Jhb(3:i))*delJ*(10^-6);
    SLE_CDFhtbs2(i)= sum(SLE_Jhtbs(3:i))*delJ*(10^-6);
    SLE_CDFpd2(i)=   sum(SLE_Jpd(3:i))*delJ*(10^-6);
    SLE_CDFfowc2(i)= sum(SLE_Jfowc(3:i))*delJ*(10^-6);
end

figure
hold on
plot(J(3:22)*(10^-6),SLE_CDFhb2(1:20),'b-')
plot(J(3:22)*(10^-6),SLE_CDFhtbs2(1:20),'r-')
plot(J(3:22)*(10^-6),SLE_CDFpd2(1:20),'k-')
plot(J(3:22)*(10^-6),SLE_CDFfowc2(1:20),'g-')
legend('Heaving buoy','Heaving two bodies system','Pitching device','Floating OWC','Location','SouthEast')
xlabel('J[MW]')
ylabel('$F_{J \eta}(\hat{J \eta})$','Interpreter','latex')
hold off

set(gcf, 'PaperType', 'B5')
set(gcf,'PaperUnits','centimeters','PaperPosition', [0.63, 0.63, 15.0, 12.0]);
print(figure(3),'-dpsc','figure/ch4eff/cdfjeff2.eps')

