
PLJ=SL_J1(1:30);
JJJ=J(1:30)*(10^-6);

PLJ2=55*exp(-50.*JJJ);

% Plot the curves
hold on
plot(JJJ,PLJ,'b-')
plot(JJJ,PLJ2,'r-')
plot(JJJ,1./(5*JJJ),'k-')

legend('p_L(J)','55*exp(-50*J)','1/(5*J)','Location','NorthEast')
xlabel('J[MW]')
ylabel('p_L(J)')
set(gca, 'xlim', [0 0.30001]);

set(gcf, 'PaperType', 'B5')
set(gcf,'PaperUnits','centimeters','PaperPosition', [0.63, 0.63, 15.0, 12.0]);
print(figure(1),'-dpsc','figure/expj.eps')
