function [PL_JH PL_JT]=formel(J,H,T,Hs,delHs,Tp,delTp,gamma,g)

p_JH=zeros(length(Hs),length(Tp));
p_JT=zeros(length(Hs),length(Tp));
p_HsTp=zeros(length(Hs),length(Tp));
Tplist=zeros(length(Hs),length(Tp));       
             
for m=1:length(Hs)

    Hrms=0.714 * Hs(m);
    h=H/Hrms; % Dimentionless wave height
        
    for n=1:length(Tp)

        Trms=0.97 * Tp(n);
        t=T/Trms; % Dimentionless wave period

        Jch= gamma *(g^2) * (Hrms^2) * Trms/(32*pi); % Jchar
        jj=J/Jch; % Dimentionless wave energy
                        
        %% J and H
        p_jgh= fp_jgh(h,jj);
        p_h  = fp_h(h);
        p_jh  = p_jgh * p_h;

        p_JH(m,n) = p_jh *32*pi/(gamma *(g^2) * (Hrms^3) * Trms);

        %% J and T
        p_jkt = fp_jkt (t,jj );
        p_tgj = fp_tgj (t,jj );
        p_jt  = p_tgj*p_jkt;
                
        p_JT(m,n) = p_jt *32*pi/(gamma *(g^2) * (Hrms^2) * (Trms^2));
        
        %% Hs and Tp
        p_TpgHs = fp_TpgHs (Hs(m), Tp(n));
        p_Hs = fp_Hs (Hs(m));
        p_HsTp(m,n) = p_TpgHs * p_Hs; 
         
        %% Table of Tp-values                
        Tplist(m,n)=Tp(n);
    end
end
        
%% w(Hs,Tchar)
meanTch=fmeanTch(Hs,delHs); 
w_HsTz=meanTch ./ Tplist;

int_JH = p_JH .* p_HsTp .* w_HsTz;
int_JT = p_JT .* p_HsTp .* w_HsTz;

PL_JH = sum(sum(int_JH)) * delHs * delTp;
PL_JT = sum(sum(int_JT)) * delHs * delTp;

end %function
