
%% General values
gamma= 1025; %[kg/m^3] fluid density
g=9.81; %[m/s^2] acceleration due to gravity

%% Lists for J, H and T

% % To include all the waves
% delJ= 400000;
% J=0+delJ/2:delJ:16000000;
% delH=0.5;
% H=0+delH/2:delH:40;
% delT=1.0;
% T=0+delT/2:delT:80;

% % Include only the important areas
% delJ= 100000;
% J=0+delJ/2:delJ:3000000;
% delH=0.25;
% H=0+delH/2:delH:20;
% delT=0.5;
% T=0+delT/2:delT:40;

% Very fine mesh
delJ= 10000;
J=0+delJ/2:delJ:3000000;
delH=0.025;
H=0+delH/2:delH:20;
delT=0.05;
T=0+delT/2:delT:40;

if length(H) ~= length(T) %makes sure H and T have equal lenghts
    error('H and T must have equal lengths')
end

%% Lists for formula calculations
delHs=0.5;
Hs=0+delHs/2:delHs:12.5+delHs/2;

delTp=1.0; 
Tp= 4+delTp/2:delTp:22+delTp/2;

%% Size of J,X matrix, output matrix
Xl=length(H); % length of the H and T table
%for scatter
SL_JH=zeros(length(J),Xl);
SL_JT=zeros(length(J),Xl);
J_SL_JH=zeros(length(J),Xl);
J_SL_JT=zeros(length(J),Xl);

%for smoothed curves
PL_JH=zeros(length(J),Xl);
PL_JT=zeros(length(J),Xl);
J_PL_JH=zeros(length(J),Xl);
J_PL_JT=zeros(length(J),Xl);

%for efficiency results
effhbL_JH = zeros(length(J),Xl);
effhbL_JT = zeros(length(J),Xl);
effhtbsL_JH = zeros(length(J),Xl);
effhtbsL_JT = zeros(length(J),Xl);
effpdL_JH = zeros(length(J),Xl);
effpdL_JT = zeros(length(J),Xl);
efffowcL_JH = zeros(length(J),Xl);
efffowcL_JT = zeros(length(J),Xl);



