function [SL_JH SL_JT]=sceff(effmat,J,delJ,H,delH,T,delT,Hss,delHss,Tps,delTps,blist,B,gamma,g)

s_JH=zeros(length(Hss),length(Tps));
s_JT=zeros(length(Hss),length(Tps));
s_HssTps=zeros(length(Hss),length(Tps));

J1=J-delJ/2;
J2=J+delJ/2;
H1=H-delH/2;
H2=H+delH/2;
T1=T-delT/2;
T2=T+delT/2;

for m=1:length(Hss) 

    Hrms  = 0.714 * Hss(m);
         
    for n=1:length(Tps) 
        if B(m,n)>0 %for increasing speed
            Trms  = 0.97 * Tps(n);

            Jch  = gamma *(g^2) * (Hrms^2) * Trms/(32*pi); % Jchar
                
            bjh=0;
            bjt=0;
            for o=1:length(blist)
                bH = blist(o,2)*Hrms;
                bT = blist(o,3)*Trms;
                bJ = blist(o,4)*Jch;

                if bJ >= J1 && bJ < J2 % if j-value is in the interval
                    if bH >= H1 && bH < H2 % if h-value is in the interval
                        bjh=bjh+1;
                    end
                    if bT >= T1 && bT < T2 % if t-value is in the interval
                        bjt=bjt+1;
                    end
                end
            end

            %% J and H
            s_jh=bjh/length(blist);              
            s_JH(m,n) = s_jh / (delH * delJ); % nå uten jacobien
        
            %% J and T
            s_jt=bjt/length(blist);
            s_JT(m,n) = s_jt / (delT * delJ); %nå uten jacobien!
        
            %% Hs and Tp
            s_HssTps(m,n) = B(m+1,n)/sum(sum(B))/(delHss*delTps);
            
            %% adding in the efficiency
            mp1=m+1;
            np1=n+1;
            if m+1>length(Hss)
                mp1=m;
            end
            if n+1>length(Tps)
                np1=n;
            end
            effvalue= (effmat(m,n) +effmat(mp1,n) + effmat(m,np1) + effmat(mp1,np1) )/4;
            s_HssTps(m,n)=s_HssTps(m,n) * effvalue;
        end
    end
end
        
%% w(Hs,Tchar)
w_HssTzs=1;

%% Return values
int_JHs = s_JH .* s_HssTps .* w_HssTzs;
int_JTs = s_JT .* s_HssTps .* w_HssTzs;

SL_JH = sum(sum(int_JHs)) * delHss * delTps;
SL_JT = sum(sum(int_JTs)) * delHss * delTps;

end %function
