
%% Plot

%% j and h
figure
subplot(1,3,1)
contour(hh,hjj,hp_jh,[0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9])
title('p(j,h), analytical')
xlabel('h')
ylabel('j')

% j and h from scatter
subplot(1,3,2)
contour(h,jj,s_jh,[0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9])
title('p(j,h), scatter diagram')
xlabel('h')
ylabel('j')

% deviation
subplot(1,3,3)
contour(h,jj,err2pjh,[0.01 0.1 0.2 0.3 0.4 0.5])
title('Deviation')
xlabel('h')
ylabel('j')

set(gcf, 'PaperType', 'B5')
set(gcf,'PaperUnits','centimeters','PaperPosition', [0.63, 0.63, 15.0, 6.0]);
print(figure(1),'-dpsc','figure/p_jh.eps')

%% j and t
figure
subplot(1,3,1)
contour(ht,hjj,hp_jt,[0.1 0.25 0.5 0.75 1.0 1.25 1.5 1.75 2]) 
title('p(j,t), analytical')
xlabel('t')
ylabel('j')

% j and t from scatter
subplot(1,3,2)
contour(t,jj,s_jt,[0.1 0.25 0.5 0.75 1.0 1.25 1.5 1.75 2])
title('p(j,t), scatter diagram')
xlabel('t')
ylabel('j')

% deviation
subplot(1,3,3)
contour(t,jj,err2pjt,[0.01 0.02 0.03 0.04 0.05 0.1])
title('Deviation')
xlabel('t')
ylabel('j')

set(gcf, 'PaperType', 'B5')
set(gcf,'PaperUnits','centimeters','PaperPosition', [0.63, 0.63, 15.0, 6.0]);
print(figure(2),'-dpsc','figure/p_jt.eps')

%% Hs and Tp
figure
subplot(1,3,1)
contour(hTp,hHs,hp_HsTp,[0.005 0.01 0.02 0.03 0.04 0.05 0.06]) 
title('p(H_s,T_p), analytical')
xlabel('Tp')
ylabel('Hs')

% j and t from scatter
subplot(1,3,2)
contour(Tp,Hs,s_HssTps,[0.005 0.01 0.02 0.03 0.04 0.05 0.06])
title('p(H_s,T_p), scatter diagram')
xlabel('Tp')
ylabel('Hs')

% deviation
subplot(1,3,3)
contour(Tp,Hs,err2pHsTp,[0.00001 0.00002 0.00004 0.00005 0.0001])
title('Deviation')
xlabel('T_p')
ylabel('H_s')

set(gcf, 'PaperType', 'B5')
set(gcf,'PaperUnits','centimeters','PaperPosition', [0.63, 0.63, 15.0, 6.0]);
print(figure(3),'-dpsc','figure/p_HsTp.eps')
